<div class="comment" *ngIf="!editable">
  <b>{{comment.author.firstName}} {{comment.author.lastName}}</b> {{comment.content}}
</div>
<div class="comment" *ngIf="editable" [ngClass]="{'comment-editable': editable}">
  <input id="commentInput" class="form-control form-control-no-bg form-control-sm" type="text"
         [(ngModel)]="comment.content" placeholder="Kommentieren..." #commentInput
         name="answer"/>
</div>
<div class="row post-comment-date-row">
  <div class="col-12">
    <span class="post-date">{{comment.date | timeAgo }}</span>
    <a class="text-danger small ml-2" href="javascript:void(0)" (click)="deleteComment(comment)" *ngIf="currentUser.id == comment.author.id && !editable">löschen</a>
    <a class="small ml-2" href="javascript:void(0)" *ngIf="currentUser.id == comment.author.id && !editable" (click)="setEditable()">bearbeiten</a>
    <a class="text-success small ml-2" href="javascript:void(0)" *ngIf="currentUser.id == comment.author.id && editable" (click)="saveComment()">speichern</a>
    <a class="small ml-2" href="javascript:void(0)" *ngIf="currentUser.id == comment.author.id && editable" (click)="abortEdit()">abbrechen</a>
  </div>
</div>